- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_http_status_line.h File Reference

axis2 HTTP Status Line More...

`#include <axis2_const.h>`
`#include <axis2_defines.h>`
`#include <axutil_env.h>`

Go to the source code of this file.

## Typedefs
typedef struct axis2_http_status_line | axis2_http_status_line_t
## Functions
AXIS2_EXTERN int | axis2_http_status_line_get_status_code (const axis2_http_status_line_t *status_line, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axis2_http_status_line_get_http_version (const axis2_http_status_line_t *status_line, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axis2_http_status_line_get_reason_phrase (const axis2_http_status_line_t *status_line, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axis2_http_status_line_starts_with_http (axis2_http_status_line_t *status_line, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axis2_http_status_line_to_string (axis2_http_status_line_t *status_line, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_http_status_line_free (axis2_http_status_line_t *status_line, const axutil_env_t *env)
AXIS2_EXTERN axis2_http_status_line_t * | axis2_http_status_line_create (const axutil_env_t *env, const axis2_char_t *str)
AXIS2_EXTERN void | axis2_http_status_line_set_http_version (axis2_http_status_line_t *status_line, const axutil_env_t *env, axis2_char_t *http_version)

## Detailed Description

axis2 HTTP Status Line